# tags

The **`tags`** object is used to located text within double curly brackets `{{key}}` on a slide level and replace with the provided value.&#x20;

<table><thead><tr><th width="167">Parameter</th><th width="108">Type</th><th width="161">Input</th><th>Description</th></tr></thead><tbody><tr><td>key</td><td>String</td><td></td><td><mark style="color:red;">[required]</mark> Text to be replaced. </td></tr><tr><td>value</td><td>String</td><td></td><td><mark style="color:red;">[required]</mark> Text replacing <code>key</code> string</td></tr><tr><td>font_type</td><td>String</td><td>MS supported <a href="https://learn.microsoft.com/en-us/typography/font-list/#a">font names</a></td><td><mark style="color:yellow;">[optional]</mark> Set font style. If not provided font type will be inherited.  </td></tr><tr><td>font_size</td><td>Integer</td><td></td><td><mark style="color:yellow;">[optional]</mark> Set font size. If not provided font size will be inherited. </td></tr><tr><td>font_color</td><td>String</td><td><p><a href="https://learn.microsoft.com/en-us/dotnet/api/system.windows.media.colors?view=windowsdesktop-7.0#properties">Color name</a>,</p><p>RGB(0,0,0),</p><p><a href="https://www.color-hex.com/">Hex</a></p></td><td><mark style="color:yellow;">[optional]</mark> Set font color. If not provided font color will be inherited. </td></tr><tr><td>font_underline</td><td>String<br>(Enum)</td><td><p><code>single</code>,</p><p><code>double</code>,</p><p><code>heavy</code>,</p><p><code>dotted</code>,</p><p><code>heavydotted</code>,</p><p><code>dashed</code>,</p><p><code>heavydashed</code>,</p><p><code>heavylongdashed</code>,</p><p><code>dotdash</code>,</p><p><code>heavydotdash</code>,</p><p><code>heavydotdotdash</code>,</p><p><code>wavy</code>,</p><p><code>heavywavy</code>,</p><p><code>doublewavy</code></p></td><td><mark style="color:yellow;">[optional]</mark> Various text underline styling. </td></tr><tr><td>font_bold</td><td>Boolean</td><td></td><td><mark style="color:yellow;">[optional]</mark> Set font bold. If not provided font bold will be inherited. </td></tr><tr><td>font_italic</td><td>Boolean</td><td></td><td><mark style="color:yellow;">[optional]</mark> Set font italic. If not provided font italic will be inherited. </td></tr></tbody></table>

JSON payload

{% code lineNumbers="true" %}

```json
"tags": [
  {
    "key": "<string>",
    "value": "<string>",
    "font_type": "<string>",
    "font_size": numeric,
    "font_color": "<string>",
    "font_underline": boolean,
    "font_bold": boolean,
    "font_italic": boolean
  },
  {
    "key": "<string>",
    "value": "<string>",
    "font_type": "<string>",
    "font_size": numeric,
    "font_color": "<string>",
    "font_underline": boolean,
    "font_bold": boolean,
    "font_italic": boolean
  }
]
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powerpointgeneratorapi.com/json-template-syntax/tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
